Bug 30732 - passwd -S [username] doesn't print account info.
Summary: passwd -S [username] doesn't print account info.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: passwd (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-05 22:47 UTC by Rufus Petasus
Modified: 2013-07-02 22:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-16 10:53:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rufus Petasus 2001-03-05 22:47:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-22 i686)


Passwd -S is supposed to print summary information for a login name;
instead,  it claims it sets the passwd,  but doesn't really.


Reproducible: Always
Steps to Reproduce:
1. Become root	
2. # passwd -S [some-account-name]
3. Observe that is sets the password instead of printing account info.
   except that it doesn't really set the password either;  it appears
   to do nothing.
	

Actual Results:  # passwd -S bbogus
Changing passwd for user bbogus
Password set.  MD5 encryption

Expected Results:  What the man page says:

    -S	This will output a short information about the sta-
	tus of the password for a given account. ...

Comment 1 Michael Berganski 2002-06-19 12:03:50 UTC
passwd  -S acts the same  way with version  7.1
are there any actions being taken on resolving this.

Comment 2 Jindrich Novy 2004-09-16 10:53:06 UTC
This is fixed in recent releases. Closing this.

cheers,
Jindrich


Note You need to log in before you can comment on or make changes to this bug.